{ stdenv
, lib
, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "WindowIsReady-Remover";
  version = "1.12";

  src = fetchFromGitHub {
    owner = "nunofarruca";
    repo = "WindowIsReady_Remover";
    rev = version;
    sha256 = "0yivd8q2mkb2c40n1pndwrsv9bi2lnm3r06wk04vhjc6f8x7qj52";
  };

  uuid = "windowIsReady_Remover@nunofarruca@gmail.com";

  dontBuild = true;

  installPhase = ''
    mkdir -p $out/share/gnome-shell/extensions/${uuid}
    cp -r ${uuid}/* $out/share/gnome-shell/extensions/${uuid}
  '';

  meta = with lib; {
    description = "Removes window is ready Notification";
    homepage = "https://github.com/nunofarruca/WindowIsReady_Remover";
    # NOTE: Wrong
    license = licenses.unlicense;
    maintainers = [ ];
  };
}
